dnl @synopsis AC_CXX_DISTANCE
dnl
dnl If the compiler does not support std::distance(),
dnl then define DISTANCE_DEFECT.
dnl
dnl @version $Id: ac_cxx_distance.m4,v 1.5 2001/05/03 21:13:06 yashar Exp $
dnl @author Paul_Kunz@slac.stanford.edu
dnl
AC_DEFUN([AC_CXX_DISTANCE],
[AC_CACHE_CHECK(whether the compiler can use std::distance(), 
ac_cv_cxx_distance,
[AC_LANG_SAVE
 AC_LANG_CPLUSPLUS
 AC_TRY_COMPILE([
#include <list>
],
[using namespace std;
list<int> l;
int count = distance ( l.begin(), l.end() );
],
 ac_cv_cxx_distance=yes, ac_cv_cxx_distance=no)
 AC_LANG_RESTORE
])
if test "$ac_cv_cxx_distance" = no; then
  AC_DEFINE(DISTANCE_DEFECT,1,[define if std::distance does not work])
fi
])
