dnl @synopsis AC_CXX_MEM_FUN1
dnl
dnl If the compiler needs obsolete mem_fun1 instead of standard mem_fun
dnl when variant with argument is needed.  If so
dnl define MEMFUNC1_DEFECT.
dnl
dnl @version $Id: ac_cxx_mem_fun1.m4,v 1.2 2001/05/11 23:03:37 pfkeb Exp $
dnl @author Paul_Kunz@slac.stanford.edu
dnl
AC_DEFUN([AC_CXX_MEM_FUN1],
[AC_CACHE_CHECK(whether the compiler can use mem_fun(arg),
ac_cv_cxx_mem_fun1,
[AC_LANG_SAVE
 AC_LANG_CPLUSPLUS
 AC_TRY_COMPILE([
#include <algorithm>
#include <functional>
#include <list>
class Foo {
public:
Foo();
int bar(int i);
};
],
[using namespace std;
std::list<Foo*> l;
l.push_back(new Foo());
l.push_back(new Foo());
for_each(l.begin(), l.end(),
  bind2nd(mem_fun( &Foo::bar ), 1 ) );
return 0;
],
 ac_cv_cxx_mem_fun1=yes, ac_cv_cxx_mem_fun1=no)
 AC_LANG_RESTORE
])
if test "$ac_cv_cxx_mem_fun1" = no; then
  AC_DEFINE(MEMFUN1_DEFECT,1,
  [define if obsolete mem_fun1 must be used.])
fi
])
