dnl @synopsis AC_CXX_STRING_CLEAR
dnl
dnl If the compiler's library does not support std::string::clear()
dnl then define STRING_CLEAR_DEFECT.
dnl
dnl @version $Id: ac_cxx_string_clear.m4,v 1.1 2005/04/18 23:40:29 pfkeb Exp $
dnl @author Paul_Kunz@slac.stanford.edu
dnl
AC_DEFUN([AC_CXX_STRING_CLEAR],
[AC_CACHE_CHECK([whether the compiler can use std::string::clear],
ac_cv_cxx_distance,
[AC_LANG_SAVE
 AC_LANG_CPLUSPLUS
 AC_TRY_COMPILE([
#include <string>
],
[std::string s ("foobar");
s.clear();
],
 ac_cv_cxx_string_clear=yes, ac_cv_cxx_string_clear=no)
 AC_LANG_RESTORE
])
if test "$ac_cv_cxx_string_clear" = no; then
  AC_DEFINE(STRING_CLEAR_DEFECT,1,[define if std::string::clear does not work])
fi
])
