##### http://autoconf-archive.cryp.to/acltx_prog_pnmtops.html
#
# SYNOPSIS
#
#   ACLTX_PROG_PNMTOPNG([ACTION-IF-NOT-FOUND])
#
# DESCRIPTION
#
#   This macro find a pnmtops application and set the variable pnmtops
#   to the name of the application or to no if not found if
#   ACTION-IF-NOT-FOUND is not specified, configure fail when then
#   application is not found.
#
# LAST MODIFICATION
#
#   2007-02-22 by Paul Kunz <Paul_Kunz@slac.stanford.edu>
#
# COPYLEFT
#
#  Original was ACLTX_PROG_PNMTOPS by
#
#   Copyright (c) 2006 Boretti Mathieu <boretti@eig.unige.ch>
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU Lesser General Public License
#   as published by the Free Software Foundation; either version 2.1 of
#   the License, or (at your option) any later version.
#
#   This library is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#   Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public
#   License along with this library; if not, write to the Free Software
#   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
#   02110-1301 USA

AC_DEFUN([ACLTX_PROG_PNMTOPNG],[
AC_CHECK_PROGS(pnmtopng,[pnmtopng],no)
if test $pnmtopng = "no" ;
then
	ifelse($#,0,[AC_MSG_WARN([Unable to find the pnmtopng application])],
        $1)
fi
])
