dnl @synopsis PFK_PYTHON_ROOT
dnl 
dnl Sets the output variables PY_INCLUDE and PY_LIB to the include and
dnl lib directory paths of the python being used.  Uses the Python
dnl distutils module to find them, as suggested by Joeseph Barillari
dnl <joeb@mit.edu>
dnl
dnl @author Paul F. Kunz <Paul_Kunz@slac.stanford.edu>
dnl @version $Id: pfk_python_root.m4,v 1.6 2005/05/30 14:12:26 pfkeb Exp $
dnl
AC_DEFUN([PFK_PYTHON_ROOT],
[
AC_REQUIRE([AM_PATH_PYTHON])

dnl Note on Mac OS X, the following is wrong.  python is in /usr/bin,
dnl but its real location is
dnl /System/Library/Frameworks/Python.framework/Versions/2.3/bin

pfk_py_include_path=`$PYTHON -c "from distutils import sysconfig; print sysconfig.get_python_inc()"`
pfk_py_lib_path=`$PYTHON -c "from distutils import sysconfig; print sysconfig.get_python_lib(standard_lib=True)"`

AC_SUBST([PY_INCLUDE],[$pfk_py_include_path] )
AC_SUBST([PY_LIB],[$pfk_py_lib_path])

AM_PYTHON_CHECK_VERSION([$PYTHON], [2.3],
                        [AC_MSG_RESULT(yes)],
                        [AC_DEFINE(HAVE_OLD_PYTHON, 1,
                        [Define to 1 if Python older than 2.3])])

AC_MSG_RESULT([
Python found
    PY_INCLUDE = $PY_INCLUDE
    PY_LIB     = $PY_LIB ] )
])
