dnl @synopsis PFK_ENABLE_HELP
dnl
dnl Build with built-in help
dnl
dnl The following shell variable is set to either "yes" or "no":
dnl
dnl   pfk_enable_help
dnl
dnl @version $Id: pfkeb_enable_help.m4,v 1.1 2006/01/23 17:18:44 pfkeb Exp $
dnl @author <Paul_Kunz@slac.stanford.edu> 
dnl
AC_DEFUN([PFK_ENABLE_HELP],
[ 
  AC_ARG_ENABLE([help],
    [  --enable-help           do build with built-in help (default = yes)],
    [case "${enableval}" in
     yes) pfk_enable_help=yes ;;
     no)  pfk_enable_help=no ;;
     *) AC_MSG_ERROR(Bad value: "${enableval}" for --enable-help) ;;
     esac],
    [ pfk_enable_help=yes] )
  if test x"$pfk_enable_help" = xyes; then
    AC_DEFINE(HAVE_HELP, 1, Define to 1 if HELP is available )
  else
    AC_MSG_WARN(Will not build with built-in help)
  fi
])
