

import sys
import re
import os
import traceback

if __name__ == "__main__":
  if len(sys.argv) < 4:
    print "\nUsage:"
    print "  python patchFile.py inputFile in-file subfile [outDir]\n"
    print "  inputFile="
    print "    The file to extract information from."
    print "    The search pattern and the substitution label is specified in the .sub file"
    print "    Instead of a search pattern a substitution string can be specified.\n"
    print "  in-file="
    print "    The template file to be patched. The filename has to end with .in\n"
    print "  subfile="
    print "    Substition file containing a substitution label and a search"
    print "    pattern separated by spaces per line\n"
    print "  outDir= (optional)"
    print "    Use this directory as the output directory instead of the in-file directory"
    sys.exit(1)

  inputFile = sys.argv[1]
  inFile = sys.argv[2]
  subFile = sys.argv[3]
  if len(sys.argv) > 4:
    outDir = sys.argv[4]
  else:
    outDir = ''
  fi = file(subFile,"r")

  patchDict = {}

  for line in fi.readlines():
    if line.strip() != "":
      type, placeHolder, pattern = line.split(' ',2)
      placeHolder = placeHolder.strip()
      pattern = pattern.strip()
      patchDict[(type, placeHolder)] = pattern
  fi.close()
  fi = file(inputFile,"r")
  line = None
  patchValues = {}
  for line in fi.readlines():
    for ((type, placeHolder), pattern) in patchDict.items():
      if type == 'P':
        m = re.match(pattern, line)
        if m is not None:
          try:
            patchValues[placeHolder] = "\"" + m.group(1) + "\""
          except:
            traceback.print_tb(sys.exc_info()[2])
            sys.exit(1)
      else:
        patchValues[placeHolder] = pattern
  fi.close()
  print patchValues

  p = inFile.rfind('.in')
  if p == -1:
    sys.stderr.write("Invalid in file name: %s\n" % inFile)
    sys.exit(1)
  outFile = inFile[0:p]

  fi = file(inFile,"r")
  if outDir != '':
    outFile = os.path.join(outDir, os.path.basename(outFile))
  fo = file(outFile ,"w")

  for line in fi.readlines():
      for (pattern, repl) in patchValues.items():
          line = re.sub(pattern,repl,line)
      fo.write(line)

  fi.close()
  fo.close()
  sys.exit(0)
