/* -*- mode:c++ -*- */

/** @file

The namespace for ROOT data types

Copyright (C) 2000, 2003, 2004, 2006 The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: RootDataType.h,v 1.6 2007/02/12 19:14:49 pfkeb Exp $ 

*/

#ifndef _RootDataType_H_
#define _RootDataType_H_

namespace hippodraw {

  /** A namespace enclosing enum for ROOT Data types.
   */
  namespace RootData {

    /** The type of data on the branch.
     */
    enum Type {
      Double, ///< double type.
      Float,  ///< float type.
      Int,    ///< int type.
      UInt,   ///< unsigned int type.
      Long64, ///< signed 64 bit long.
      ULong64,///< unsigned 64 bit long.
      Short,  ///< signed 16 bit integer.
      UShort  ///< unsigned 16 bit integer.
    };
  }
}
#endif
